package ru.amster.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-03-05T02:30:11.338+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.amster.ru/", name = "UserEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface UserEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/removeUserRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/removeUserResponse")
    @RequestWrapper(localName = "removeUser", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUser")
    @ResponseWrapper(localName = "removeUserResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.RemoveUserResponse")
    public void removeUser(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserPasswordRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserPasswordResponse")
    @RequestWrapper(localName = "updateUserPassword", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserPassword")
    @ResponseWrapper(localName = "updateUserPasswordResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserPasswordResponse")
    public void updateUserPassword(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserLastNameRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserLastNameResponse")
    @RequestWrapper(localName = "updateUserLastName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserLastName")
    @ResponseWrapper(localName = "updateUserLastNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserLastNameResponse")
    public void updateUserLastName(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session,
        @WebParam(name = "lastName", targetNamespace = "")
        java.lang.String lastName
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/createWithThreeParamUserRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/createWithThreeParamUserResponse")
    @RequestWrapper(localName = "createWithThreeParamUser", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamUser")
    @ResponseWrapper(localName = "createWithThreeParamUserResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithThreeParamUserResponse")
    public void createWithThreeParamUser(
        @WebParam(name = "log", targetNamespace = "")
        java.lang.String log,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password,
        @WebParam(name = "role", targetNamespace = "")
        ru.amster.tm.endpoint.Role role
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/findUserRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/findUserResponse")
    @RequestWrapper(localName = "findUser", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUser")
    @ResponseWrapper(localName = "findUserResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.FindUserResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.amster.tm.endpoint.UserDTO findUser(
        @WebParam(name = "sessionSecret", targetNamespace = "")
        java.lang.String sessionSecret
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserEmailRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserEmailResponse")
    @RequestWrapper(localName = "updateUserEmail", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserEmail")
    @ResponseWrapper(localName = "updateUserEmailResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserEmailResponse")
    public void updateUserEmail(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session,
        @WebParam(name = "email", targetNamespace = "")
        java.lang.String email
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserFirstNameRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserFirstNameResponse")
    @RequestWrapper(localName = "updateUserFirstName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserFirstName")
    @ResponseWrapper(localName = "updateUserFirstNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserFirstNameResponse")
    public void updateUserFirstName(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session,
        @WebParam(name = "firstName", targetNamespace = "")
        java.lang.String firstName
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/createWithFourParamUserRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/createWithFourParamUserResponse")
    @RequestWrapper(localName = "createWithFourParamUser", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithFourParamUser")
    @ResponseWrapper(localName = "createWithFourParamUserResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.CreateWithFourParamUserResponse")
    public void createWithFourParamUser(
        @WebParam(name = "log", targetNamespace = "")
        java.lang.String log,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password,
        @WebParam(name = "email", targetNamespace = "")
        java.lang.String email,
        @WebParam(name = "role", targetNamespace = "")
        ru.amster.tm.endpoint.Role role
    );

    @WebMethod
    @Action(input = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserMiddleNameRequest", output = "http://endpoint.tm.amster.ru/UserEndpoint/updateUserMiddleNameResponse")
    @RequestWrapper(localName = "updateUserMiddleName", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserMiddleName")
    @ResponseWrapper(localName = "updateUserMiddleNameResponse", targetNamespace = "http://endpoint.tm.amster.ru/", className = "ru.amster.tm.endpoint.UpdateUserMiddleNameResponse")
    public void updateUserMiddleName(
        @WebParam(name = "session", targetNamespace = "")
        java.lang.String session,
        @WebParam(name = "middleName", targetNamespace = "")
        java.lang.String middleName
    );
}
